Subject: Re: [bug#37978] [PATCH] guix: new command "guix time-machine"

From: Konrad Hinsen <[email-masked]>
Date: Sat, 16 Nov 2019 10:06:34 +0100

Hi Ludo,

> I followed up with one commit to gracefully handle Git errors (e.g.,
> when one type ‘--commit=foobar’) and another one to handle build options
> like the other commands.  Let me know if anything looks wrong.

Quite on the contrary, everything looks fine - thanks!

I hadn't realized that "guix pull" takes build options, but obviously
that makes sense.

> It would be neat if the “Updating…” message wouldn’t show up when in
> fact everything is already available.  Also, it’d be nice if we could
> write (and in ‘guix pull’ too) ‘--date=2019-07-07’ or
> ‘--date=last-month’.  Future work!  :-)

Right. Also not pulling anything if the requested channels are identical
to those of the current guix version. There's always more to to!

Cheers,
  Konrad.